%define srcname bekwinfx-code

Name:       kwin-effect-bekwinfx
Version:    0.1
Release:    %mkrel 1
Summary:    3rd party plugins for the KDE KWin compositor
Group:      Graphical desktop/KDE
License:    GPLv2+
URL:        http://sourceforge.net/projects/bekwinfx/
Source0:    %{srcname}.tar.gz
# git clone git://git.code.sf.net/p/bekwinfx/code bekwinfx-code
# commit 5c44e5fd6d13d56c338341c293db701a6f75f781

BuildRequires:  kdebase4-workspace-devel
BuildRequires:  kde4-macros
BuildRequires:  pkgconfig(xcb-keysyms)
BuildRequires:  pkgconfig(xcb-renderutil)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-icccm)

Requires:   kdebase4-workspace >= 2:4.11.0
Provides:   kwin-effect
Obsoletes:  kwin-effect-beclock

%description
Several 3rd party plugins for the KDE KWin compositor

For now:
- BE::Clock
- BE::Animated
- BE::Distorted

%prep
%setup -q -n %{srcname}

%build
%cmake_kde4
%make

%install
%{makeinstall_std} -C build

%files
%doc README.seriously
%{_kde_libdir}/kde4/
%{_kde_services}/kwin/


%changelog
* Wed Dec 18 2013 dglent <dglent> 0.1-1.mga4
+ Revision: 558375
- Add br xcb-keysyms-devel
- Add devel for x11-xcb in br
- Add devel for x11 in br
- Add pkgconfig(xcb) in br
- Remove trailing whitespaces
- imported package kwin-effect-bekwinfx

